package com.yxproject.start.entity.prod;

import javax.persistence.*;
import java.sql.Time;
import java.util.Objects;

@Entity
@Table(name = "PROD_GROUP_T", schema = "PROD_DBA", catalog = "")
public class ProdGroupTEntity {
    private String group_No;
    private Byte valid_Count;
    private Byte invalid_Count;
    private Time submit_Date;
    private String submit_Code;
    private Time export_Date;
    private String export_Code;
    private String download_Flag;
    private Byte download_Count;
    private Time download_Date;
    private String ewrite_Flag;
    private Byte ewrite_Count;
    private Time ewrite_Date;
    private String check_Flag;
    private Byte check_Count;
    private Time check_Date;
    private String send_Flag;
    private Byte send_Count;
    private Time send_Date;
    private String move_Flag;
    private Byte move_Count;
    private Time move_Date;

    @Id
    @Column(name = "GROUP_NO", nullable = false, length = 10)
    public String getGroup_No() {
        return group_No;
    }

    public void setGroup_No(String group_No) {
        this.group_No = group_No;
    }

    @Basic
    @Column(name = "VALID_COUNT", nullable = true, precision = 0)
    public Byte getValid_Count() {
        return valid_Count;
    }

    public void setValid_Count(Byte valid_Count) {
        this.valid_Count = valid_Count;
    }

    @Basic
    @Column(name = "INVALID_COUNT", nullable = true, precision = 0)
    public Byte getInvalid_Count() {
        return invalid_Count;
    }

    public void setInvalid_Count(Byte invalid_Count) {
        this.invalid_Count = invalid_Count;
    }

    @Basic
    @Column(name = "SUBMIT_DATE", nullable = true)
    public Time getSubmit_Date() {
        return submit_Date;
    }

    public void setSubmit_Date(Time submit_Date) {
        this.submit_Date = submit_Date;
    }

    @Basic
    @Column(name = "SUBMIT_CODE", nullable = true, length = 8)
    public String getSubmit_Code() {
        return submit_Code;
    }

    public void setSubmit_Code(String submit_Code) {
        this.submit_Code = submit_Code;
    }

    @Basic
    @Column(name = "EXPORT_DATE", nullable = true)
    public Time getExport_Date() {
        return export_Date;
    }

    public void setExport_Date(Time export_Date) {
        this.export_Date = export_Date;
    }

    @Basic
    @Column(name = "EXPORT_CODE", nullable = true, length = 8)
    public String getExport_Code() {
        return export_Code;
    }

    public void setExport_Code(String export_Code) {
        this.export_Code = export_Code;
    }

    @Basic
    @Column(name = "DOWNLOAD_FLAG", nullable = true, length = 1)
    public String getDownload_Flag() {
        return download_Flag;
    }

    public void setDownload_Flag(String download_Flag) {
        this.download_Flag = download_Flag;
    }

    @Basic
    @Column(name = "DOWNLOAD_COUNT", nullable = true, precision = 0)
    public Byte getDownload_Count() {
        return download_Count;
    }

    public void setDownload_Count(Byte download_Count) {
        this.download_Count = download_Count;
    }

    @Basic
    @Column(name = "DOWNLOAD_DATE", nullable = true)
    public Time getDownload_Date() {
        return download_Date;
    }

    public void setDownload_Date(Time download_Date) {
        this.download_Date = download_Date;
    }

    @Basic
    @Column(name = "EWRITE_FLAG", nullable = true, length = 1)
    public String getEwrite_Flag() {
        return ewrite_Flag;
    }

    public void setEwrite_Flag(String ewrite_Flag) {
        this.ewrite_Flag = ewrite_Flag;
    }

    @Basic
    @Column(name = "EWRITE_COUNT", nullable = true, precision = 0)
    public Byte getEwrite_Count() {
        return ewrite_Count;
    }

    public void setEwrite_Count(Byte ewrite_Count) {
        this.ewrite_Count = ewrite_Count;
    }

    @Basic
    @Column(name = "EWRITE_DATE", nullable = true)
    public Time getEwrite_Date() {
        return ewrite_Date;
    }

    public void setEwrite_Date(Time ewrite_Date) {
        this.ewrite_Date = ewrite_Date;
    }

    @Basic
    @Column(name = "CHECK_FLAG", nullable = true, length = 1)
    public String getCheck_Flag() {
        return check_Flag;
    }

    public void setCheck_Flag(String check_Flag) {
        this.check_Flag = check_Flag;
    }

    @Basic
    @Column(name = "CHECK_COUNT", nullable = true, precision = 0)
    public Byte getCheck_Count() {
        return check_Count;
    }

    public void setCheck_Count(Byte check_Count) {
        this.check_Count = check_Count;
    }

    @Basic
    @Column(name = "CHECK_DATE", nullable = true)
    public Time getCheck_Date() {
        return check_Date;
    }

    public void setCheck_Date(Time check_Date) {
        this.check_Date = check_Date;
    }

    @Basic
    @Column(name = "SEND_FLAG", nullable = true, length = 1)
    public String getSend_Flag() {
        return send_Flag;
    }

    public void setSend_Flag(String send_Flag) {
        this.send_Flag = send_Flag;
    }

    @Basic
    @Column(name = "SEND_COUNT", nullable = true, precision = 0)
    public Byte getSend_Count() {
        return send_Count;
    }

    public void setSend_Count(Byte send_Count) {
        this.send_Count = send_Count;
    }

    @Basic
    @Column(name = "SEND_DATE", nullable = true)
    public Time getSend_Date() {
        return send_Date;
    }

    public void setSend_Date(Time send_Date) {
        this.send_Date = send_Date;
    }

    @Basic
    @Column(name = "MOVE_FLAG", nullable = true, length = 1)
    public String getMove_Flag() {
        return move_Flag;
    }

    public void setMove_Flag(String move_Flag) {
        this.move_Flag = move_Flag;
    }

    @Basic
    @Column(name = "MOVE_COUNT", nullable = true, precision = 0)
    public Byte getMove_Count() {
        return move_Count;
    }

    public void setMove_Count(Byte move_Count) {
        this.move_Count = move_Count;
    }

    @Basic
    @Column(name = "MOVE_DATE", nullable = true)
    public Time getMove_Date() {
        return move_Date;
    }

    public void setMove_Date(Time move_Date) {
        this.move_Date = move_Date;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ProdGroupTEntity that = (ProdGroupTEntity) o;
        return Objects.equals(group_No, that.group_No) &&
                Objects.equals(valid_Count, that.valid_Count) &&
                Objects.equals(invalid_Count, that.invalid_Count) &&
                Objects.equals(submit_Date, that.submit_Date) &&
                Objects.equals(submit_Code, that.submit_Code) &&
                Objects.equals(export_Date, that.export_Date) &&
                Objects.equals(export_Code, that.export_Code) &&
                Objects.equals(download_Flag, that.download_Flag) &&
                Objects.equals(download_Count, that.download_Count) &&
                Objects.equals(download_Date, that.download_Date) &&
                Objects.equals(ewrite_Flag, that.ewrite_Flag) &&
                Objects.equals(ewrite_Count, that.ewrite_Count) &&
                Objects.equals(ewrite_Date, that.ewrite_Date) &&
                Objects.equals(check_Flag, that.check_Flag) &&
                Objects.equals(check_Count, that.check_Count) &&
                Objects.equals(check_Date, that.check_Date) &&
                Objects.equals(send_Flag, that.send_Flag) &&
                Objects.equals(send_Count, that.send_Count) &&
                Objects.equals(send_Date, that.send_Date) &&
                Objects.equals(move_Flag, that.move_Flag) &&
                Objects.equals(move_Count, that.move_Count) &&
                Objects.equals(move_Date, that.move_Date);
    }

    @Override
    public int hashCode() {
        return Objects.hash(group_No, valid_Count, invalid_Count, submit_Date, submit_Code, export_Date, export_Code, download_Flag, download_Count, download_Date, ewrite_Flag, ewrite_Count, ewrite_Date, check_Flag, check_Count, check_Date, send_Flag, send_Count, send_Date, move_Flag, move_Count, move_Date);
    }
}
